## rspamd 3.14.3

=== contrib/replxx/CMakeLists.txt ===
# -*- mode: CMAKE; -*-
project(replxx VERSION 0.0.2 LANGUAGES CXX C)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if(MSVC)
	add_definitions("-D_CRT_SECURE_NO_WARNINGS=1")
endif()

set(
	REPLXX_SOURCES
	src/conversion.cxx
	src/escape.cxx
	src/history.cxx
	src/replxx_impl.cxx
	src/prompt.cxx
	src/replxx.cxx
	src/util.cxx
	src/wcwidth.cpp
	src/terminal.cxx
	src/windows.cxx
)

set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
if(ENABLE_STATIC MATCHES "ON")
	add_library(rspamd-replxx STATIC ${REPLXX_SOURCES})
else()
	add_library(rspamd-replxx SHARED ${REPLXX_SOURCES})
endif()

target_include_directories(
	rspamd-replxx
	PUBLIC ${PROJECT_SOURCE_DIR}/include
	PRIVATE ${PROJECT_SOURCE_DIR}/src
)
set(TARGETS ${TARGETS} rspamd-replxx)
target_compile_definitions(rspamd-replxx PRIVATE REPLXX_BUILDING_DLL)
target_link_libraries(rspamd-replxx "${RSPAMD_REQUIRED_LIBRARIES}")

install(TARGETS ${TARGETS} LIBRARY DESTINATION ${RSPAMD_LIBDIR})

=== debian/changelog ===
rspamd (3.14.3-1) unstable; urgency=medium

  * New upstream version 3.14.3
  * d/control:
    + Remove fonts-glyphicons-halflings dependency (Closes: #1088531)
    + Bump Standards-Version to 4.7.3

 -- Jerome Lebleu <jerome@maroufle.fr>  Sun, 25 Jan 2026 17:21:23 +0100

=== debian/control ===
Source: rspamd
Section: mail
Maintainer: Sebastien Badia <sbadia@debian.org>
Uploaders: Mikhail Gusarov <dottedmag@debian.org>,
           Jerome Lebleu <jerome@maroufle.fr>,
           Sergio Durigan Junior <sergiodj@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doctest-dev,
               libarchive-dev,
               libglib2.0-dev,
               libhyperscan-dev [amd64 i386] | libvectorscan-dev [arm64],
               libicu-dev,
               libjemalloc-dev,
               libluajit-5.1-dev,
               libpcre2-dev,
               libsodium-dev,
               libsqlite3-dev,
               libssl-dev,
               libxxhash-dev,
               libzstd-dev,
               ninja-build,
               publicsuffix,
               ragel,
               zlib1g-dev
Standards-Version: 4.7.3
Homepage: https://rspamd.com
Vcs-Git: https://salsa.debian.org/debian/rspamd.git
Vcs-Browser: https://salsa.debian.org/debian/rspamd

Package: rspamd
# LuaJIT is currently the only way to provide the FFI library which is used by
# several internel modules. In the meantime, architectures for which LuaJIT is
# unavailable are removed to not provide an unstable package. Note that s390x,
# loong64 and powerpc are removed due to unexpected test results - see #1104755.
Architecture: amd64 arm64 armel armhf i386 mips64el mipsel riscv64
Pre-Depends: ${misc:Pre-Depends}
Depends: adduser,
         ca-certificates,
         libjs-bootstrap5,
         libjs-jquery,
         libjs-requirejs,
         publicsuffix,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: valkey-server | redis-server
Description: Rapid spam filtering system
 Rspamd is a rapid, modular and lightweight spam filter. It is designed to work
 with big amount of mail and can be easily extended with own filters written in
 Lua.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

# CMake doesn't honor CPPFLAGS
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)
ASMFLAGS += $(CPPFLAGS)

export CFLAGS CXXFLAGS ASMFLAGS LDFLAGS

ENABLE_HYPERSCAN := -DENABLE_HYPERSCAN=OFF

ifneq ($(filter amd64 arm64 i386, $(DEB_HOST_ARCH)),)
  ENABLE_HYPERSCAN := -DENABLE_HYPERSCAN=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCONFDIR=/etc/rspamd \
		-DMANDIR=/usr/share/man \
		-DRUNDIR=/run/rspamd \
		-DDBDIR=/var/lib/rspamd \
		-DLOGDIR=/var/log/rspamd \
		-DSHAREDIR=/usr/share/rspamd \
		-DLIBDIR=/usr/lib/rspamd \
		-DINCLUDEDIR=/usr/include \
		-DSYSTEMDDIR=/usr/lib/systemd/system \
		-DWANT_SYSTEMD_UNITS=ON \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_BUILD_WITH_INSTALL_RPATH=OFF \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DNO_SHARED=ON \
		-DNO_TARGET_VERSIONS=ON \
		-DENABLE_LIBCXX=OFF \
		-DENABLE_LTO=ON \
		-DENABLE_FULL_DEBUG=OFF \
		-DENABLE_JEMALLOC=ON \
		-DENABLE_OPTIMIZATION=OFF \
		-DENABLE_PCRE2=ON \
		-DSYSTEM_ZSTD=ON \
		-DSYSTEM_DOCTEST=ON \
		-DSYSTEM_XXHASH=ON \
		-DENABLE_LUAJIT=ON \
		$(ENABLE_HYPERSCAN)

override_dh_auto_build:
	dh_auto_build

	# Do not embed scripts and fonts which are provided by other packages
	$(RM) $(CURDIR)/interface/css/bootstrap.min.css
	$(RM) $(CURDIR)/interface/js/lib/bootstrap.bundle.min.js
	$(RM) $(CURDIR)/interface/js/lib/jquery-3.7.1.min.js
	$(RM) $(CURDIR)/interface/js/lib/require.min.js

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	ninja -C build run-test
endif

override_dh_makeshlibs:
	dh_makeshlibs -Xlibrspamd-actrie -Xlibrspamd-ev -Xlibrspamd-kann -Xlibrspamd-replxx -Xlibrspamd-server

override_dh_fixperms:
	dh_fixperms
	chmod 750 $(CURDIR)/debian/rspamd/var/lib/rspamd
	chmod 750 $(CURDIR)/debian/rspamd/var/log/rspamd

=== debian/watch ===
Version: 5
Template: Github
Owner: rspamd
Project: rspamd
